# $Revision: 1.36 $, $Date: 2007/02/13 07:47:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	German
Summary:	Text::German - German grundform reduction
Summary(pl.UTF-8):	Text::German - redukcja niemieckich "Grundformen"
Name:		perl-Text-German
Version:	0.06
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9e968525f7385c80d636a4ba68d27bf4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a rather incomplete implementaion of work done by Gudrun
Putze-Meier <gudrun.pm@t-online.de>. I have to confess that I never
read her original paper. So all credit belongs to her, all bugs are
mine. I tried to get some insight from an implementation of two
students of mine. They remain anonymous because their work was the
worst piece of code I ever saw. My code behaves mostly as their
implementation did except it is about 75 times faster.

%description -l pl.UTF-8
To jest raczej niepełna implementacja pracy autorstwa Gudrun
Putze-Meier <gudrun.pm@t-online.de>. Autor modułu przyznaje, że nigdy
nie czytał jej oryginalnego artykułu, więc cały zaszczyt przysługuje
jej, a błędy autorowi modułu. Autor próbował korzystać z implementacji
swoich dwóch studentów, którzy pozostaną anonimowi, ponieważ ich praca
była najgorszym kawałkiem kodu, jaki widział autor. Ten kod zachowuje
się w większości tak, jak implementacja studentów, ale jest około 75
razy szybszy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/German.pm
%{perl_vendorlib}/Text/German
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-German.spec,v $
Revision 1.36  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.34  2006/10/21 17:52:44  ankry
- ver. 0.06

Revision 1.33  2004/11/03 22:30:49  paladine
- formatting

Revision 1.32  2004/05/07 01:04:51  ankry
- rel. 12

Revision 1.31  2004/05/06 18:21:17  ankry
- fixed perl-devel BR

Revision 1.30  2004/05/03 18:07:32  ankry
- tests added, license fixed, cosmetics

Revision 1.29  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 21:34:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:38:48  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/08/28 20:58:42  qboosh
- pl description, release++

Revision 1.20  2002/08/11 19:36:49  radek
- release up

Revision 1.19  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 09:01:34  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:52  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:20:57  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:35:51  depesz
adapterized

Revision 1.12  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:24  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:16:37  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:53:36  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:30  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
